package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouPopulationGroup;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人群包-广告组关联表
 *
 * @author jeecg-boot
 * 2021-05-08
 * @version V1.0
 */
public interface KuaishouPopulationGroupMapper extends BaseMapper<KuaishouPopulationGroup> {

    void deleteByUnitId(@Param("unitId") Long unitId);

    void replaceBatch(@Param(value = "list") List<KuaishouPopulationGroup> list);
}
