package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChain;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 快手电商-供应链订单信息
 * @author jeecg-boot
 * 2022-12-01
 * @version V1.0
 */
public interface IKuaishouSupplyChainService extends IService<KuaishouSupplyChain> {
    void getOrderList(String cookie, Integer offset, Long orderCreateTimeStart, Long orderCreateTimeEnd, Map<Long,Long> itemMap) throws Exception;

    List<JSONObject> getCookie();

    void getSettlementData(String cookie, Integer offset, Long orderCreateTimeStart, Long orderCreateTimeEnd) throws Exception;

    List<JSONObject> getDataList(Long statDate);

    List<JSONObject> getPromoterDataList(Long statDate);

    void deletePromoterBindChannelByDate(Long date);

    void cleanKuaiShouPromoterBindChannel(Long date);

    List<JSONObject> getSamplesData(String startDate);

    void cleanBytedancePromoterBindChannel(Long date);

    void deleteMgsPromoterBindChannelByDate(Long date);

    void cleanMgsKuaiShouPromoterBindChannel(Long date);

    List<JSONObject> getMgsDataList(Long statDate);
}
