package cn.com.ctop.kuaishou.modules.dimension.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 地域
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-07-21
 */
@Data
@TableName("ctop_kuaishou_dimension_region_detail")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_dimension_region_detail对象", description = "地域")
public class KuaiShouDimensionRegionDetail {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 地域组id
     */
    @Excel(name = "地域组id", width = 15)
    @ApiModelProperty(value = "地域组id")
    private String regionGroupId;
    /**
     * 快手地域id
     */
    @Excel(name = "快手地域id", width = 15)
    @ApiModelProperty(value = "快手地域id")
    private Long regionId;
    /**
     * 快手地域名称
     */
    @Excel(name = "快手地域名称", width = 15)
    @ApiModelProperty(value = "快手地域名称")
    private String regionName;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
